com.google.gwt.aria.client

## Interface DocumentRole

- All Superinterfaces:
    Role, StructureRole
  All Known Subinterfaces:
    ArticleRole
  All Known Implementing Classes:
    ArticleRoleImpl, DocumentRoleImpl

      public interface DocumentRole
      extends StructureRole

  A type that represents the document role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaExpandedState(Element element)` Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaExpandedState(Element element)` Removes the aria-expanded attribute from the `element`.
    `void` | `setAriaExpandedState(Element element, ExpandedValue value)` Sets the aria-expanded attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Method Detail

    - #### getAriaExpandedState

          java.lang.String getAriaExpandedState(Element element)

      Returns the value of the aria-expanded attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaExpandedState

          void removeAriaExpandedState(Element element)

      Removes the aria-expanded attribute from the `element`.

    - #### setAriaExpandedState

          void setAriaExpandedState(Element element,
                                    ExpandedValue value)

      Sets the aria-expanded attribute for the `element` to the given `value`.